./print/gutenprint [high quality print drivers for foomatic and CUPS]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 5.2.13, Package name: gutenprint-5.2.13
Maintained by: Antoine Jacoutot
Master sites:
Description
Gutenprint, formerly known as gimp-print, is a project to provide high
quality drivers for Canon, Epson, Lexmark and PCL printers.

This package contains the driver libraries which are the basis of the
gutenprint project, and which can be used by other printing programs. It
may be used with most common UNIX print spooling systems, including
CUPS, lpr, LPRng, or others:

Driver Spooler
------------------------------------------------------------------------
gutenprint CUPS (enhanced native driver)
gutenprint-ijs foomatic-rip(1) (spooler independant)
gutenprint-ijs-simplified foomatic-rip(1) (spooler independant)


Filesize: 6831.06 KB
Version History (View Complete History)
  • (2017-07-17) Updated to version: gutenprint-5.2.13
  • (2017-01-15) Updated to version: gutenprint-5.2.12
  • (2016-01-16) Updated to version: gutenprint-5.2.11
  • (2014-05-21) Updated to version: gutenprint-5.2.10
  • (2012-10-13) Updated to version: gutenprint-5.2.9
  • (2012-06-14) Updated to version: gutenprint-5.2.8
  • (2011-05-09) Updated to version: gutenprint-5.2.7
  • (2010-08-22) Updated to version: gutenprint-5.2.6
  • (2010-03-21) Updated to version: gutenprint-5.2.5
  • (2009-09-09) Updated to version: gutenprint-5.2.4
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2017-07-18 01:54:53 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
Upstream rerolled the tarball.
noticed by naddy@
   2017-07-17 02:17:10 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to gutenprint-5.2.13.
   2017-07-17 02:17:10 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to gutenprint-5.2.13.
   2017-07-17 02:17:10 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to gutenprint-5.2.13.
   2017-07-17 02:17:10 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to gutenprint-5.2.13.
   2017-07-17 02:17:10 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to gutenprint-5.2.13.
   2017-02-18 10:33:52 by Antoine Jacoutot | Files touched by this commit (58)
Log message:
Missed bump.
   2017-02-18 10:32:38 by Antoine Jacoutot | Files touched by this commit (60)
Log message:
idn -> idn2 after gnutls WANTLIB change.
   2017-01-15 15:29:46 by Nigel Taylor | Files touched by this commit (1)
Log message:
Remove extra entries from PLIST
ok ajacoutot@
   2017-01-14 10:15:51 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.12.
   2017-01-14 10:15:51 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.12.
   2017-01-14 10:15:51 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.12.
   2017-01-14 10:15:51 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.12.
   2017-01-14 10:15:51 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.12.
   2017-01-14 10:15:51 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.12.
   2016-07-08 10:53:23 by Stuart Henderson | Files touched by this commit (3)
Log message:
sync WANTLIB
   2016-03-11 13:28:34 by Christian Weisgerber | Files touched by this commit (247)
Log message:
garbage collect CONFIGURE_SHARED
   2016-01-16 01:52:46 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to gutenprint-5.2.11.
   2016-01-16 01:52:46 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to gutenprint-5.2.11.
   2016-01-16 01:52:46 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to gutenprint-5.2.11.
   2015-08-17 13:52:40 by Stuart Henderson | Files touched by this commit (19)
Log message:
sync WANTLIB
   2015-04-04 03:21:09 by Antoine Jacoutot | Files touched by this commit (301)
Log message:
Bump after the recent changes in packaging dbus and dconf.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-05-04 08:55:02 by Antoine Jacoutot | Files touched by this commit (7)
Log message:
Update to gutenprint-5.2.7.
   2011-04-15 12:40:47 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Rework the way we handle dependencies in the print ports:
* depends on foomatic-filters when a driver installs:
share/foomatic/db/source/.../*.ppd{,.gz}
* depends on foomatic-db-engine when a driver installs:
share/foomatic/db/source/.../*.xml
foomatic-db-engine now depends on foomatic-db (which itself depends on
nothing anymore).
This will ensure all the needed packages are installed for complete
foomatic-* use.
Some packages install both pre-created ppd and xml files, so theorically
it wouldn't need to depend on foomatic-db-engine, but we still do it
because we may want to regen the ppd file.
It's the best compromise I could come up with.
   2010-11-20 02:48:40 by Marc Espie | Files touched by this commit (96)
Log message:
new depends
   2010-11-06 10:07:01 by Marc Espie | Files touched by this commit (25)
Log message:
move gettext to new WANTLIB
   2010-10-24 15:32:40 by Antoine Jacoutot | Files touched by this commit (17)
Log message:
Remove USE_X11.
   2010-10-18 15:25:09 by Marc Espie | Files touched by this commit (100)
Log message:
USE_GROFF=Yes
   2010-08-24 10:33:53 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
Add a reminder comment.
   2010-08-21 15:43:02 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to gutenprint-5.2.6.
   2010-08-21 15:43:02 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to gutenprint-5.2.6.
   2010-08-21 15:43:02 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to gutenprint-5.2.6.
   2010-08-21 15:43:02 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to gutenprint-5.2.6.
   2010-07-26 14:23:28 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
Move to new depends.
   2010-03-25 15:41:34 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
Fix packaging so that grumpy v2.0 can make good dreams.
   2010-03-21 04:00:36 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.5.
   2010-03-21 04:00:36 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.5.
   2010-03-21 04:00:36 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.5.
   2010-03-21 04:00:36 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.5.
   2010-03-21 04:00:36 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.5.
   2010-03-21 04:00:36 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Update to gutenprint-5.2.5.
   2009-12-10 07:12:01 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Put binaries back into the -main subpackage. It makes more sense as the
foomatic db can be removed while keeping the gutenprint pkg installed
for printing. It only adds a dependency on print/ijs.
   2009-12-10 07:12:01 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Put binaries back into the -main subpackage. It makes more sense as the
foomatic db can be removed while keeping the gutenprint pkg installed
for printing. It only adds a dependency on print/ijs.
   2009-12-10 07:12:01 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Put binaries back into the -main subpackage. It makes more sense as the
foomatic db can be removed while keeping the gutenprint pkg installed
for printing. It only adds a dependency on print/ijs.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-12-10 04:04:35 by Antoine Jacoutot | Files touched by this commit (9)
Log message:
Remove the -gimp subpackage. It had a meaning when gimp did not provide
a sensible printing interface but this is not the case anymore. This
also allows to remove gutenprintui2 and gtk+2 dependency.
Rebuild -foomatic against the latest foomatic-db-engine.
The -foomatic package run_depends on foomatic-db. Move some files from
-main to -foomatic.
   2009-08-27 05:11:04 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Small update to gutenprint-5.2.4.
   2009-08-27 05:11:04 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Small update to gutenprint-5.2.4.
   2009-08-27 05:11:04 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Small update to gutenprint-5.2.4.
   2009-08-27 05:11:04 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Small update to gutenprint-5.2.4.
   2009-08-27 05:11:04 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Small update to gutenprint-5.2.4.
   2009-08-27 05:11:04 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Small update to gutenprint-5.2.4.
   2009-08-10 00:34:09 by Matthias Kilian | Files touched by this commit (33)
Log message:
WANTLIB changes after xcb addition and bump.
   2009-03-31 09:11:25 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
- fix the no_gimp PSEUDO_FLAVOR
from Tim van der Molen
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-23 11:17:33 by Antoine Jacoutot | Files touched by this commit (14)
Log message:
- major update to gutenprint 5.2.3 which is the latest stable version
If you're running with locally generated PPD files, you will need to
regen them with foomatic-ppdfile(1) so that the driver uses
gutenprint-ijs.5.2 and not gutenprint-ijs.5.0.
Tested on several printers without regression.
   2009-03-12 12:13:54 by Stuart Henderson | Files touched by this commit (7)
Log message:
sync WANTLIB/LIB_DEPENDS and bump
   2009-02-09 04:25:12 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
- move some files from -main to -foomatic where they belong; fix
packaging of flavored builds
- regen WANTLIB while here
   2009-02-09 04:25:12 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
- move some files from -main to -foomatic where they belong; fix
packaging of flavored builds
- regen WANTLIB while here
   2009-02-09 04:25:12 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
- move some files from -main to -foomatic where they belong; fix
packaging of flavored builds
- regen WANTLIB while here
   2008-12-20 14:15:56 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
- take maintainership of these ports, jacob@ is on audio now and not
printing anymore ;-)
"go ahead" jacob@
   2008-09-11 13:24:23 by Martynas Venckus | Files touched by this commit (2)
Log message:
- don't round to double-precision
ok naddy@
   2008-09-11 13:24:23 by Martynas Venckus | Files touched by this commit (2)
Log message:
- don't round to double-precision
ok naddy@
   2008-08-31 10:06:11 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
- don't tell users to install the -cups subpackage when it does not exist
anymore
   2008-08-31 10:06:11 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
- don't tell users to install the -cups subpackage when it does not exist
anymore
   2008-07-30 11:12:24 by Martynas Venckus | Files touched by this commit (2)
Log message:
don't try to use extended-precision isfinite.  ok naddy@
   2008-07-30 11:12:24 by Martynas Venckus | Files touched by this commit (2)
Log message:
don't try to use extended-precision isfinite.  ok naddy@
   2008-07-26 18:05:25 by Jacob Meuser | Files touched by this commit (5)
Log message:
* kill the -cups subpackage, it's redundant and leads to a circular
dependency with ghostscript/cups.
* add @bin markers while here
requested by and help from kili@, ajacoutot@ agrees with the idea
   2008-07-26 18:05:25 by Jacob Meuser | Files touched by this commit (5)
Log message:
* kill the -cups subpackage, it's redundant and leads to a circular
dependency with ghostscript/cups.
* add @bin markers while here
requested by and help from kili@, ajacoutot@ agrees with the idea
   2008-07-26 18:05:25 by Jacob Meuser | Files touched by this commit (5)
Log message:
* kill the -cups subpackage, it's redundant and leads to a circular
dependency with ghostscript/cups.
* add @bin markers while here
requested by and help from kili@, ajacoutot@ agrees with the idea
   2008-07-26 18:05:25 by Jacob Meuser | Files touched by this commit (5)
Log message:
* kill the -cups subpackage, it's redundant and leads to a circular
dependency with ghostscript/cups.
* add @bin markers while here
requested by and help from kili@, ajacoutot@ agrees with the idea
   2008-07-26 18:05:25 by Jacob Meuser | Files touched by this commit (5)
Log message:
* kill the -cups subpackage, it's redundant and leads to a circular
dependency with ghostscript/cups.
* add @bin markers while here
requested by and help from kili@, ajacoutot@ agrees with the idea
   2007-12-28 12:02:22 by Matthias Kilian | Files touched by this commit (1)
Log message:
Dependency changes after gimp update.
   2007-11-20 08:48:41 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
- make the -cups subpackage run on the cups FLAVOR of ghostscript since
it needs pstoraster
ok naddy@